| Flutter Windows Embedder |

Public Attributes | List of all members
flutter::WindowSizing Struct Reference

`#include <window_manager.h>`

## Public Attributes
bool | has_preferred_view_size
double | preferred_view_width
double | preferred_view_height
bool | has_view_constraints
double | view_min_width
double | view_min_height
double | view_max_width
double | view_max_height

## Detailed Description

Definition at line 36 of file window_manager.h.

## Member Data Documentation

## ◆ has_preferred_view_size

bool flutter::WindowSizing::has_preferred_view_size

Definition at line 37 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), flutter::HostWindow::SetContentSize(), and flutter::testing::TEST_F().

## ◆ has_view_constraints

bool flutter::WindowSizing::has_view_constraints

Definition at line 40 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

## ◆ preferred_view_height

double flutter::WindowSizing::preferred_view_height

Definition at line 39 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

## ◆ preferred_view_width

double flutter::WindowSizing::preferred_view_width

Definition at line 38 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

## ◆ view_max_height

double flutter::WindowSizing::view_max_height

Definition at line 44 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

## ◆ view_max_width

double flutter::WindowSizing::view_max_width

Definition at line 43 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

## ◆ view_min_height

double flutter::WindowSizing::view_min_height

Definition at line 42 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

## ◆ view_min_width

double flutter::WindowSizing::view_min_width

Definition at line 41 of file window_manager.h.

Referenced by flutter::HostWindow::CreateRegularWindow(), and flutter::HostWindow::SetContentSize().

The documentation for this struct was generated from the following file:

- shell/platform/windows/window_manager.h